%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:      mingw-win-iconv
Version:   0.0.3
Release:   4%{?dist}
Summary:   Iconv implementation using Win32 API

License:   Public Domain
Group:     Development/Libraries
URL:       http://code.google.com/p/win-iconv
Source0:   http://win-iconv.googlecode.com/files/win-iconv-%{version}.tar.bz2
# rename libiconv.dll -> iconv.dll to match the .def file
Patch0:    win-iconv-0.0.3-dllname.patch
BuildArch: noarch

BuildRequires: mingw32-filesystem >= 68
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-runtime

BuildRequires: cmake >= 2.8.0
BuildRequires: dos2unix


%description
MinGW Windows Iconv library


%package -n %{_mingw32_pkg_name}
Summary:        MinGW Windows Iconv library
Obsoletes:      mingw32-iconv < 1.12-14
Provides:       mingw32-iconv = 1.12-14

%description -n %{_mingw32_pkg_name}
MinGW Windows cross compiled Iconv library.


%package -n %{_mingw32_pkg_name}-static
Summary:        Static version of the MinGW Windows Iconv library
Requires:       mingw32-win-iconv = %{version}-%{release}
Obsoletes:      mingw32-iconv-static < 1.12-14
Provides:       mingw32-iconv-static = 1.12-14

%description -n %{_mingw32_pkg_name}-static
Static version of the MinGW Windows Iconv library.


%{?_mingw32_debug_package}


%prep
%setup -q -n win-iconv-%{version}
%patch0 -p1 -b .dllname

dos2unix readme.txt
dos2unix ChangeLog
chmod -x readme.txt
chmod -x ChangeLog


%build
%{_mingw32_cmake} -DBUILD_STATIC=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_mingw32_bindir}/*.exe


%files -n %{_mingw32_pkg_name}
%doc ChangeLog readme.txt
%{_mingw32_bindir}/iconv.dll
%{_mingw32_includedir}/iconv.h
%{_mingw32_libdir}/libiconv.dll.a

%files -n %{_mingw32_pkg_name}-static
%{_mingw32_libdir}/libiconv.a


%changelog
* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 0.0.3-4
- Rename the shared library to iconv.dll instead of hacking up the
  import library

* Wed Jul  6 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.3-3
- Make sure that the .dll.a import library refers to libiconv.dll
  instead of iconv.dll

* Sun Jul  3 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.3-2
- Add versioned BR for cmake >= 2.8.0

* Fri Jun  3 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3

* Thu Jun  2 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.2-3
- Moved the obsoletes/provides to the proper location
- Bumped the requirement for mingw32-filesystem to >= 68 because of RPM 4.9 support
- Dropped the %%defattr tags
- Dropped the %%{?dist} tag from the obsoletes/provides

* Thu Jun  2 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.2-2
- Use the name mingw-win-iconv for the srpm to ease the transition to
  the mingw-w64 based toolchain
- Use the RPM 4.9 dependency generator
- Dropped unnecessary tags

* Thu Feb 17 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.2-1
- Update to version 0.0.2
- Dropped upstreamed patch
- Dropped the win_iconv.exe binary
- Bumped the mingw32-iconv obsoletes

* Thu Sep 30 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.0.1-1
- Initial release
- Obsoletes/provides mingw32-iconv and mingw32-iconv-static

